# -*- encoding: utf-8 -*-
# stub: github-pages-health-check 1.16.1 ruby lib

Gem::Specification.new do |s|
  s.name = "github-pages-health-check".freeze
  s.version = "1.16.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["GitHub, Inc.".freeze]
  s.date = "2021-10-26"
  s.description = "Checks your GitHub Pages site for commons DNS configuration issues.".freeze
  s.email = "support@github.com".freeze
  s.files = ["Gemfile".freeze, "LICENSE.md".freeze, "README.md".freeze, "config".freeze, "config/cloudflare-ips.txt".freeze, "config/fastly-ips.txt".freeze, "debian".freeze, "debian/changelog".freeze, "debian/control".freeze, "debian/copyright".freeze, "debian/debhelper-build-stamp".freeze, "debian/docs".freeze, "debian/patches".freeze, "debian/patches/0001-Replace-git-execution-from-gemspec.patch".freeze, "debian/patches/0002-Relax-version-dependency-on-publicsuffix-gem.patch".freeze, "debian/patches/series".freeze, "debian/ruby-github-pages-health-check".freeze, "debian/rules".freeze, "debian/salsa-ci.yml".freeze, "debian/source".freeze, "debian/source/format".freeze, "debian/upstream".freeze, "debian/upstream/metadata".freeze, "debian/watch".freeze, "github-pages-health-check.gemspec".freeze, "github-pages-health-check.gemspec.gem2deb".freeze, "lib".freeze, "lib/github-pages-health-check".freeze, "lib/github-pages-health-check.rb".freeze, "lib/github-pages-health-check/caa.rb".freeze, "lib/github-pages-health-check/cdn.rb".freeze, "lib/github-pages-health-check/cdns".freeze, "lib/github-pages-health-check/cdns/cloudflare.rb".freeze, "lib/github-pages-health-check/cdns/fastly.rb".freeze, "lib/github-pages-health-check/checkable.rb".freeze, "lib/github-pages-health-check/domain.rb".freeze, "lib/github-pages-health-check/error.rb".freeze, "lib/github-pages-health-check/errors".freeze, "lib/github-pages-health-check/errors.rb".freeze, "lib/github-pages-health-check/errors/build_error.rb".freeze, "lib/github-pages-health-check/errors/deprecated_ip_error.rb".freeze, "lib/github-pages-health-check/errors/invalid_a_record_error.rb".freeze, "lib/github-pages-health-check/errors/invalid_aaaa_record_error.rb".freeze, "lib/github-pages-health-check/errors/invalid_cname_error.rb".freeze, "lib/github-pages-health-check/errors/invalid_dns_error.rb".freeze, "lib/github-pages-health-check/errors/invalid_domain_error.rb".freeze, "lib/github-pages-health-check/errors/invalid_repository_error.rb".freeze, "lib/github-pages-health-check/errors/missing_access_token_error.rb".freeze, "lib/github-pages-health-check/errors/not_served_by_pages_error.rb".freeze, "lib/github-pages-health-check/printer.rb".freeze, "lib/github-pages-health-check/redundant_check.rb".freeze, "lib/github-pages-health-check/repository.rb".freeze, "lib/github-pages-health-check/resolver.rb".freeze, "lib/github-pages-health-check/site.rb".freeze, "lib/github-pages-health-check/version.rb".freeze, "script".freeze, "script/bootstrap".freeze, "script/check".freeze, "script/check-cdn-ips".freeze, "script/cibuild".freeze, "script/console".freeze, "script/fmt".freeze, "script/release".freeze, "script/test".freeze, "script/update-cdn-ips".freeze]
  s.homepage = "https://github.com/github/github-pages-health-check".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "3.2.27".freeze
  s.summary = "Checks your GitHub Pages site for commons DNS configuration issues".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.3"])
    s.add_runtime_dependency(%q<dnsruby>.freeze, ["~> 1.60"])
    s.add_runtime_dependency(%q<octokit>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<public_suffix>.freeze, [">= 3.0", "< 5.0"])
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<gem-release>.freeze, ["~> 0.7"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.52"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 1.21"])
  else
    s.add_dependency(%q<addressable>.freeze, ["~> 2.3"])
    s.add_dependency(%q<dnsruby>.freeze, ["~> 1.60"])
    s.add_dependency(%q<octokit>.freeze, ["~> 4.0"])
    s.add_dependency(%q<public_suffix>.freeze, [">= 3.0", "< 5.0"])
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 1.0"])
    s.add_dependency(%q<gem-release>.freeze, ["~> 0.7"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.52"])
    s.add_dependency(%q<webmock>.freeze, ["~> 1.21"])
  end
end
